[Snort-devel] installation

Michael Boman michael.boman at ...2499...
Fri Feb 11 00:36:45 EST 2005


On Mon, 7 Feb 2005 14:14:37 -0500, Plantier, Spencer
<spencer.plantier at ...2721...> wrote:
>  
> 
> I have posted this problem on the user mailing and haven't got much of
> response. I have libpcap installed and working with ethereal. When I go to
> install snort I get the following error.: 
> 
> Checking for pcap_datalink in –lpcap… no 
> 
> ERROR! Libpcap library/headers not found, go get it from
> http://www.tcpdump.org 
> 
> Or use the –with-libpcap-* options, if you have it installed in unusual
> place. 

Do you have libpcap development files installed? You don't say which
platform you are using, so I assume some sort of RPM based Linux
system - in which case you may need to install the libpcap-devel
package (some distributions likes to seperate core functionality and
the files required for development).

More information about your setup would be most welcome.

Best regards
 Michael Boman




More information about the Snort-devel mailing list